"""Compare oldest, old, and new features for string interpolation in Python."""


def main():
    quantity = 25
    pounds_per_bag = 5
    total_weight_in_pounds = quantity * pounds_per_bag
    print(total_weight_in_pounds)

    # oldest approach using % notation
    print()
    pretty_message = 'I have %d bags of sugar at %d pounds per bag for a total of %d pounds.' % (
        quantity, pounds_per_bag, total_weight_in_pounds)
    print(pretty_message)

    # old approach using .format() notation
    pretty_message = 'I have {0} bags of sugar at {1} pounds per bag for a total of {2} pounds.'.format(
        quantity, pounds_per_bag, total_weight_in_pounds)
    print(pretty_message)

    # newest approach using f-string notation
    pretty_message = f'I have {quantity} bags of sugar at {pounds_per_bag} pounds per bag ' \
                     f'for a total of {total_weight_in_pounds} pounds.'
    print(pretty_message)


main()
